Page MenuHomePhabricator

Update Collection not to use deprecated wfSetupSession call
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Collection : master[WIP] Use SessionManager instead of wfSetupSession
mediawiki/extensions/Collection : masterAvoid calls to deprecated wfSetupSession, $_SESSION, and session_id

Event Timeline

Krinkle updated the task description. (Show Details)Jun 23 2017, 3:21 PM
Jdlrobson lowered the priority of this task from High to Normal.Sep 5 2017, 7:16 PM
Jdlrobson added a subscriber: Jdlrobson.

This has been high for a couple of years now so reflecting reality.
What would we use instead?
It seems Collection extension uses wfSetupSession to change HTML for anonymous users using the book creator....

Interesting. I didn't realise we didn't allow for sessions for anonymous users. I'm curious how this works with Varnish now.

pmiazga added a subscriber: pmiazga.Oct 2 2017, 3:14 PM

Change 381806 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/Collection@master] [WIP] Use SessionManager instead of wfSetupSession

https://gerrit.wikimedia.org/r/381806

Hi @BBlack we have a few questions relating to this on how sessions are managed in mediawiki for anons on Varnish layer. Would appreciate your insight!

pmiazga claimed this task.Oct 2 2017, 9:22 PM

Change 415760 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Collection@master] Avoid calls to deprecated wfSetupSession, $_SESSION, and session_id

https://gerrit.wikimedia.org/r/415760

Change 415760 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Avoid calls to deprecated wfSetupSession, $_SESSION, and session_id

https://gerrit.wikimedia.org/r/415760

Jdforrester-WMF closed this task as Resolved.Mar 2 2018, 12:15 AM

Oh, oops, sorry @pmiazga, didn't see the existing work.

Change 381806 abandoned by Jforrester:
[WIP] Use SessionManager instead of wfSetupSession

Reason:
Done in I3ea8287e1f.

https://gerrit.wikimedia.org/r/381806

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM